ColorModel (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.cgm
Class ColorModel

    java.lang.Object
      com.bbn.openmap.dataAccess.cgm.Command
          com.bbn.openmap.dataAccess.cgm.ColorModel

All Implemented Interfaces:
  java.lang.Cloneable

    public class ColorModel

extends Command

FIXME: Enter the description of this type here

Author:
  dietrick

Field Summary
`static int` | `CIELAB`
`static int` | `CIELUV`
`static int` | `CMYK`
`protected int` | `model`
`static int` | `RGB`
`static int` | `RGB_related`

Fields inherited from class com.bbn.openmap.dataAccess.cgm.Command
`logger`

Constructor Summary
`ColorModel(int ec, int eid, int l, java.io.DataInputStream in)`

Method Summary
`int` | `getModel()`
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.dataAccess.cgm.Command
`clone, makeInt, makeString, makeString, paint, read, read16, scale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### model

    protected int model

### RGB

    public static final int RGB

See Also:
  Constant Field Values

### CIELAB

    public static final int CIELAB

See Also:
  Constant Field Values

### CIELUV

    public static final int CIELUV

See Also:
  Constant Field Values

### CMYK

    public static final int CMYK

See Also:
  Constant Field Values

### RGB_related

    public static final int RGB_related

See Also:
  Constant Field Values

Constructor Detail

### ColorModel

    public ColorModel(int ec,
                      int eid,
                      int l,
                      java.io.DataInputStream in)
               throws java.io.IOException

Parameters:
  `ec` -
  `eid` -
  `l` -
  `in` -
Throws:
  `java.io.IOException`

Method Detail

### getModel

    public int getModel()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details